We use essential cookies for the website to function, as well as analytics cookies for analyzing and creating statistics of the website performance. To agree to the use of analytics cookies, click "Accept All". You can manage your preferences at any time by clicking "Cookie Settings" on the footer. More Information.

Only Essential Cookies
Accept All

Adding a Message to a Gift Card Model

Adds a message to a gift card model corresponding to modelId.

1 Request

HTTP request

POST
https://${url}/hmspass/v1/giftcard/model/{modelId}/addMessage
Note: The ${url} variable in the preceding request should be selected based on the region where the wallet server is located. For details, please refer to Wallet Server Address.

Path Parameters

Parameter nameValueDescription
modelIdStringUnique identifier of a gift card model. This ID must be unique across all models from an issuer. The value contains only alphabetic letters, digits, dots (.), hyphens (-), and underscores (_).

Request body

The request body contains the messageList object to be added. This messageList object can contain a maximum of 10 valueObject objects.

{

  "messageList": [

    {
      object (valueObject)
    }

  ]
}

2 Response

If successful, this method returns a response containing the hwWalletObject that is updated.

Search
Enter a keyword.